First Elder Lockirin:
Our guild is the largest and most powerful of the six guilds that define Dwarven society. We boast of a tradition of nearly one thousand years as a prestigious union of famous traders and powerful bankers. Our guild runs warehouses in almost every city of the continent.
We do not pay heed to the boundaries drawn by Humans! Wherever there are customers -- from the snowy fields of Lansk to the faraway land of Kandeef across the ocean -- we do business with all who want to trade! That is the spirit of independence embodied by our Iron Gate Guild.
Return